spring-boot-plus:
  # 是否启用ansi控制台输出有颜色的字体，local环境建议开启，服务器环境设置为false
  enable-ansi: false
  # 当前环境服务IP地址
  server-ip: 127.0.0.1
  # 文件上传下载配置
  upload-path: /opt/upload/
  # AOP配置
  aop:
    log:
      enable: true
      log-print-type: LINE
      request-log-format: false
      response-log-format: false


## 海外 upay  飞蛙等 IM测试外网
#spring:
#  datasource:
#    url: jdbc:mysql://127.0.0.1:3306/wecloud_im?serverTimezone=UTC&useUnicode=true&characterEncoding=utf8&useSSL=false&allowPublicKeyRetrieval=true
#    username: web
#    password: axT8knPN5hAP
#
#  # Redis配置
#  redis:
#    database: 0
#    host: 127.0.0.1
#    password: JH86uc53r8Ca
#    port: 6379
#  cloud:
#    nacos:
#      discovery:
#        server-addr: localhost:8848

# 国内IM测试外网
spring:
  datasource:
    url: jdbc:mysql://127.0.0.1:3306/wecloud_im?serverTimezone=UTC&useUnicode=true&characterEncoding=utf8&useSSL=false&allowPublicKeyRetrieval=true
    username: web
    password: vM5ERxyleZqHrwDPGHLG

  # Redis配置
  redis:
    database: 0
    host: 127.0.0.1
    password: 12uSWr6D4MUXXj1uAZzF
    port: 6379
  cloud:
    nacos:
      discovery:
        server-addr: localhost:8848

# 打印SQL语句和结果集，本地开发环境可开启，线上注释掉
mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl


#  服务器负载均衡配置
load-blance:
  # 服务器运营商local,aws,huawei
  server-type: aws